> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.tribalhabits.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all pathways

> This endpoint retrieves all pathways (paginated), ordered by title.

Results are paginated. For example, `GET /papi/pathways?page=2` returns the second page.




## OpenAPI

````yaml /openapi.yaml get /pathways
openapi: 3.1.0
info:
  title: Tribal Habits Public API
  version: '1'
  description: >
    The Tribal Habits Public API V1. Use it to manage your Tribal Habits user
    accounts (list, show, create and update) and other entities.


    Replace `myorg` in the server URL with your organisation's subdomain. See
    [Vanity URL](/vanity-url) if you use your own domain.
servers:
  - url: https://myorg.tribalhabits.com/papi
security:
  - ApiKeyHeader: []
tags:
  - name: Users
    description: Users
  - name: Topics
    description: Topics
  - name: Pathways
    description: Pathways
  - name: Enrolments
    description: Topic and Pathway Enrolments
  - name: Certificates
    description: >-
      Certificate generation and retrieval for completed topic and pathway
      enrolments.
  - name: External Knowledge
    description: Knowledge obtained from a source external of Tribal Habits.
  - name: Webhooks
    description: >-
      Webhooks triggered from certain actions in code that will call URLs
      assigned by you.
paths:
  /pathways:
    get:
      tags:
        - Pathways
      summary: Get all pathways
      description: >
        This endpoint retrieves all pathways (paginated), ordered by title.


        Results are paginated. For example, `GET /papi/pathways?page=2` returns
        the second page.
      operationId: getPathways
      parameters:
        - $ref: '#/components/parameters/Page'
        - $ref: '#/components/parameters/MaxPerPage'
        - $ref: '#/components/parameters/UpdatedAt'
      responses:
        '200':
          description: A page of pathways
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Pagination'
                  - type: object
                    properties:
                      records:
                        type: array
                        items:
                          $ref: '#/components/schemas/Pathway'
              examples:
                example:
                  $ref: '#/components/examples/PathwayPage'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  parameters:
    Page:
      name: page
      in: query
      description: Results page to return
      schema:
        type: integer
        default: 1
    MaxPerPage:
      name: max_per_page
      in: query
      description: >-
        Maximum number of results per page. Maximum permitted page size is 100.
        Larger values are reduced to 100.
      schema:
        type: integer
        default: 25
    UpdatedAt:
      name: updated_at
      in: query
      description: >-
        Only records updated after this time, in UTC. Use the ISO 8601 form
        "yyyy-mm-ddThh:mm:ss", eg "2023-02-01T15:12:13". Do not include a time
        zone offset
      schema:
        type: string
        example: '2023-02-01T15:12:13'
  schemas:
    Pagination:
      type: object
      properties:
        total_records:
          type: integer
          description: Total number of records
        max_per_page:
          type: integer
          description: Maximum number of results per page
        current_page:
          type: integer
          description: Results page returned
        total_pages:
          type: integer
          description: Total number of pages
    Pathway:
      type: object
      properties:
        id:
          type: integer
        title:
          type: string
        topic_ids:
          type: array
          items:
            type: integer
          description: IDs of the mandatory topics in the pathway
        optional_topic_ids:
          type: array
          items:
            type: integer
          description: IDs of the optional topics in the pathway
        due_mode:
          type: string
          enum:
            - none
            - fixed_date
            - fixed_time
          description: Same values as for [topics](/api-reference/topics/get-all-topics)
        due_date:
          type:
            - string
            - 'null'
        due_in_days:
          type:
            - integer
            - 'null'
        mandatory_topics_in_order:
          type: boolean
        num_complete_optional_topics:
          type: integer
        manager_enrol:
          type: boolean
        manager_unenrol:
          type: boolean
        certified_mode:
          type: string
          enum:
            - none
            - fixed_date
            - fixed_time
          description: Same values as for [topics](/api-reference/topics/get-all-topics)
        certified_days:
          type:
            - integer
            - 'null'
        certified_date:
          type:
            - string
            - 'null'
        show_certificate:
          type: boolean
        certificate_expire_event:
          type: integer
          description: Same values as for [topics](/api-reference/topics/get-all-topics)
        recertify:
          type: boolean
        recertification_days:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        completion_certificate_id:
          type:
            - integer
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        visibility:
          type: string
          enum:
            - public
            - archived
          description: '`public` (active) or `archived`'
        mandatory_topics:
          type: array
          description: >-
            Mandatory topics in the pathway. Use the [enrolment
            endpoints](/api-reference/enrolments/get-all-topic-enrolments) to
            get a user's progress
          items:
            $ref: '#/components/schemas/PathwayTopic'
        optional_topics:
          type: array
          description: >-
            Optional topics in the pathway. Use the [enrolment
            endpoints](/api-reference/enrolments/get-all-topic-enrolments) to
            get a user's progress
          items:
            $ref: '#/components/schemas/PathwayTopic'
        categories:
          type: array
          items:
            type: object
            properties:
              id:
                type: integer
              name:
                type: string
        skills:
          type: array
          items:
            type: object
            properties:
              id:
                type: integer
              name:
                type: string
        links:
          type: object
          properties:
            internal_enrol:
              type: string
        saved_searches:
          type: array
          items:
            $ref: '#/components/schemas/SavedSearch'
        code:
          type: string
          description: Enrolment code for this pathway, used in enrolment requests
    PathwayTopic:
      type: object
      properties:
        topic_id:
          type: integer
        topic_title:
          type: string
        topic_external_id:
          type:
            - string
            - 'null'
    SavedSearch:
      type: object
      properties:
        id:
          type: integer
        q:
          type: array
          items:
            type: object
            properties:
              op:
                type: string
              attr:
                type: string
              name:
                type: string
              values:
                type: array
                items:
                  type: string
              description:
                type: string
  examples:
    PathwayPage:
      summary: A page of pathways
      value:
        total_records: 12
        max_per_page: 25
        current_page: 1
        total_pages: 1
        records:
          - id: 17
            title: PathTestA
            topic_ids:
              - 75
            optional_topic_ids:
              - 89
            due_mode: fixed_date
            due_date: '2022-02-02T00:00:00.000+10:00'
            due_in_days: null
            mandatory_topics_in_order: false
            num_complete_optional_topics: 0
            manager_enrol: false
            manager_unenrol: false
            certified_mode: fixed_time
            certified_days: 365
            certified_date: null
            show_certificate: false
            certificate_expire_event: 1
            recertify: true
            recertification_days: 12
            created_at: '2019-07-01T15:22:05.752+10:00'
            updated_at: '2020-01-22T14:38:39.099+11:00'
            completion_certificate_id: null
            external_id: '123'
            visibility: public
            mandatory_topics:
              - topic_id: 75
                topic_title: Test Topic O
                topic_external_id: '123'
            optional_topics:
              - topic_id: 89
                topic_title: Oranges
                topic_external_id: null
            categories:
              - id: 8
                name: Health
            skills:
              - id: 7
                name: Manager1
            links:
              internal_enrol: >-
                https://myorg.tribalhabits.com/internals/641960a27e9fdf42c689f0e265fbf2f4
            saved_searches:
              - id: 61
                q:
                  - op: in
                    attr: category
                    name: Type
                    values:
                      - staff
                    description: ' Type is Staff'
            code: THP-4-22
  responses:
    Unauthorized:
      description: >-
        Unauthorized - The request does not include the API key, the API key is
        incorrect, or API access is not enabled on your plan.
    TooManyRequests:
      description: >-
        Too Many Requests - You have exceeded the rate limit. See [Rate
        limits](/rate-limits)
      headers:
        Retry-After:
          description: Number of seconds until the rate limit window resets
          schema:
            type: integer
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              retry_after_seconds:
                type: integer
          example:
            error: Rate limit exceeded. Please slow down.
            retry_after_seconds: 23
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >
        Your organisation's API key, sent as `Authorization: my_api_key`. The
        key can also be passed as an `api_key` query parameter. See
        [Authentication](/authentication).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.